Eclipse GEF 3.3

## org.eclipse.gef
Class DefaultEditDomain

    java.lang.Object
      org.eclipse.gef.EditDomain
          org.eclipse.gef.DefaultEditDomain

public class DefaultEditDomain
extends EditDomain

A default implementation of `EditDomain`. An `IEditorPart` is required in the constructor, but it can be `null`.

A `SelectionTool` will be the active Tool until:

- A `PaletteRoot` is provided which contains a default entry which is a `ToolEntry`. In which case that entry's tool is made the active Tool.

DefaultEditDomain can be configured with a `PaletteViewer`. When provided, the DefaultEditDomain will listen for PaletteEvents, and will switch the active Tool automatically in response.

Constructor Summary
`DefaultEditDomain(IEditorPart editorPart)` Constructs a DefaultEditDomain with the specified IEditorPart

Method Summary
`IEditorPart` `getEditorPart()`
`protected void` `setEditorPart(IEditorPart editorPart)` Sets the IEditorPart for this EditDomain.

Methods inherited from class org.eclipse.gef.EditDomain

`addViewer, focusGained, focusLost, getActiveTool, getCommandStack, getDefaultTool, getPaletteViewer, keyDown, keyTraversed, keyUp, loadDefaultTool, mouseDoubleClick, mouseDown, mouseDrag, mouseHover, mouseMove, mouseUp, mouseWheelScrolled, nativeDragFinished, nativeDragStarted, removeViewer, setActiveTool, setCommandStack, setDefaultTool, setPaletteRoot, setPaletteViewer, viewerEntered, viewerExited`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultEditDomain

    public DefaultEditDomain(IEditorPart editorPart)

  Constructs a DefaultEditDomain with the specified IEditorPart

Parameters:
  `editorPart` - `null` or an IEditorPart

Method Detail

### getEditorPart

    public IEditorPart getEditorPart()

  Returns:
    the IEditorPart for this EditDomain

### setEditorPart

    protected void setEditorPart(IEditorPart editorPart)

  Sets the IEditorPart for this EditDomain.

  Parameters:
    `editorPart` - the editor

Eclipse GEF 3.3

Copyright (c) IBM Corp. and others 2000, 2007. All Rights Reserved.